Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkElevationFilter Class Reference

`#include <vtkElevationFilter.h>`

Inheritance diagram for vtkElevationFilter:

[legend]
Collaboration diagram for vtkElevationFilter:

[legend]
List of all members.

## Detailed Description

generate scalars along a specified direction

Date:
  2002/01/22 15:29:18

Revision:
  1.37

vtkElevationFilter is a filter to generate scalar values from a dataset. The scalar values lie within a user specified range, and are generated by computing a projection of each dataset point onto a line. The line can be oriented arbitrarily. A typical example is to generate scalars based on elevation or height above a plane.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (69%)
  - Martin, Ken (9%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkElevationFilter.cxx)`
  - .`h` (`/Graphics/vtkElevationFilter.h)`

Examples:
  vtkElevationFilter (Examples)

Tests:
  vtkElevationFilter (Tests)

Definition at line 52 of file vtkElevationFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetLowPoint (float, float, float)
virtual void | SetLowPoint (float[3])
virtual float * | GetLowPoint ()
virtual void | GetLowPoint (float data[3])
virtual void | SetHighPoint (float, float, float)
virtual void | SetHighPoint (float[3])
virtual float * | GetHighPoint ()
virtual void | GetHighPoint (float data[3])
virtual void | SetScalarRange (float, float)
void | SetScalarRange (float[2])
virtual float * | GetScalarRange ()
virtual void | GetScalarRange (float data[2])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkElevationFilter * | SafeDownCast (vtkObject *o)
vtkElevationFilter * | New ()
## Protected Methods
| vtkElevationFilter ()
| ~vtkElevationFilter ()
void | Execute ()
## Protected Attributes
float | LowPoint [3]
float | HighPoint [3]
float | ScalarRange [2]

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkElevationFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 55 of file vtkElevationFilter.h.

## Constructor & Destructor Documentation

vtkElevationFilter::vtkElevationFilter | ( |  | ) | `[protected]`

vtkElevationFilter::~vtkElevationFilter | ( |  | ) | `[inline, protected]`

| Definition at line 82 of file vtkElevationFilter.h.

## Member Function Documentation

virtual const char* vtkElevationFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkElevationFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkElevationFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkElevationFilter* vtkElevationFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkElevationFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkElevationFilter* vtkElevationFilter::New | ( |  | ) | `[static]`

| Construct object with LowPoint=(0,0,0) and HighPoint=(0,0,1). Scalar range is (0,1). Reimplemented from vtkObject.

virtual void vtkElevationFilter::SetLowPoint | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Define one end of the line (small scalar values).

virtual void vtkElevationFilter::SetLowPoint | ( | float | [3] | ) | `[virtual]`

| Define one end of the line (small scalar values).

virtual float* vtkElevationFilter::GetLowPoint | ( |  | ) | `[virtual]`

| Define one end of the line (small scalar values).

virtual void vtkElevationFilter::GetLowPoint | ( | float | data[3] | ) | `[virtual]`

| Define one end of the line (small scalar values).

virtual void vtkElevationFilter::SetHighPoint | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Define other end of the line (large scalar values).

virtual void vtkElevationFilter::SetHighPoint | ( | float | [3] | ) | `[virtual]`

| Define other end of the line (large scalar values).

virtual float* vtkElevationFilter::GetHighPoint | ( |  | ) | `[virtual]`

| Define other end of the line (large scalar values).

virtual void vtkElevationFilter::GetHighPoint | ( | float | data[3] | ) | `[virtual]`

| Define other end of the line (large scalar values).

virtual void vtkElevationFilter::SetScalarRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify range to map scalars into.

void vtkElevationFilter::SetScalarRange | ( | float | [2] | ) |

| Specify range to map scalars into.

virtual float* vtkElevationFilter::GetScalarRange | ( |  | ) | `[virtual]`

| Specify range to map scalars into.

virtual void vtkElevationFilter::GetScalarRange | ( | float | data[2] | ) | `[virtual]`

| Specify range to map scalars into.

void vtkElevationFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkElevationFilter::LowPoint[3]`[protected]`

| Definition at line 85 of file vtkElevationFilter.h.

float vtkElevationFilter::HighPoint[3]`[protected]`

| Definition at line 86 of file vtkElevationFilter.h.

float vtkElevationFilter::ScalarRange[2]`[protected]`

| Definition at line 87 of file vtkElevationFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkElevationFilter.h